Cyberduck Mountain Duck CLI

#161 closed defect (fixed)

Reconnect after timeout causes error

Reported by: Jake Owned by: dkocher
Priority: normal Milestone: 2.6
Component: core Version: 2.5.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Using STFP, if you are connected to a server and your connection is timed out and then you double click on a file to open it in an external editor (BBEdit), I get the following error:

IO Error: Timeout waiting for server message

If I click "refresh" and then edit the file again, it works.

Change History (5)

comment:1 Changed on Jan 30, 2006 at 9:30:02 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

This is as expected althouth it could fail gracefully.

comment:2 Changed on Feb 7, 2006 at 4:06:21 AM by Jake

  • Resolution wontfix deleted
  • Status changed from closed to reopened

This is actually more broad than my initial report. If your connection times out and then you do anything (refresh, upload, download, edit, browse), the app stalls (spinning beachball) and then gives the error that I previously reported.

I would agre with your wontfix response except that there is no indication of when a connection has timed out. The only way I know that my connection has timed out is when I do something and then get the error reported above. I suggest that if your connnection has timed out, you try to reconnect and perform the action. I believe that this is how previous version of Cyberduck worked.

comment:3 Changed on Mar 22, 2006 at 7:29:48 PM by anonymous

  • Milestone set to 2.6
  • Version changed from 2.5.4 to 2.5.5

comment:4 Changed on Mar 31, 2006 at 2:18:33 AM by Jake

  • Milestone changed from 2.6 to 2.5.6

comment:5 Changed on May 5, 2006 at 1:50:26 PM by anonymous

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software